Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create import

POST/workspaces/{organizationId}/import
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
sourcestringrequired
Allowed:jiraconfluencelinearnotiongithub-issuesintercom
credentialsany | null
optionsany | null
Responses
200

Import started or awaiting approval

okbooleanrequired
sourcestringrequired
jobIdstringrequired
statusstringrequired
countsobject
nextCursorstring
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/import' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "source": "jira",
  "credentials": null,
  "options": null
}'
Response
{
  "ok": true,
  "source": "string",
  "jobId": "string",
  "status": "string",
  "counts": {
    "property1": 0,
    "property2": 0
  },
  "nextCursor": "string"
}

Was this page helpful?